apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

# Please don't change the namespace field
namespace: development
namePrefix: dev-
nameSuffix: -v1

commonLabels:
  environment: development
  app.kubernetes.io/version: v1
commonAnnotations:
  note: Hello, I am development!

resources:
  - ../../base

# enable mage-pull-policy and resource_limit as needed
patches:
  - path: patches/image-pull-policy-if-not-present.yaml
    target:
      kind: Deployment
      labelSelector: app.kubernetes.io/component=microservice

configMapGenerator:
#  - name: env-vars
  - name: env-vars-common
    behavior: merge
    literals:
      - APP_ENV=development
      - LOG_LEVEL=debug

secretGenerator:
  - name: secrets
    behavior: replace
    literals:
      - DATABASE_PASSWORD=dev-real-pass

replicas:
  - name: service
    count: 1

images:
  - name: etcd
    newTag: 3.3.15
  - name: postgres
    newTag: 11.10-alpine
  - name: envoyproxy/envoy-alpine
    newName: docker.io/envoyproxy/envoy-alpine
    newTag: v1.17.0
  - name: micro/micro
    newName: docker.pkg.github.com/xmlking/micro-starter-kit/micro
    newTag: v2.9.3
  - name: xmlking/account-srv
    newName: docker.pkg.github.com/xmlking/micro-starter-kit/account-srv
    newTag: $(IMAGE_VERSION)
  - name: xmlking/emailer-srv
    newName: docker.pkg.github.com/xmlking/micro-starter-kit/emailer-srv
    newTag: $(IMAGE_VERSION)
  - name: xmlking/greeter-srv
    newName: docker.pkg.github.com/xmlking/micro-starter-kit/greeter-srv
    newTag: $(IMAGE_VERSION)
  - name: xmlking/recorder-srv
    newName: docker.pkg.github.com/xmlking/micro-starter-kit/recorder-srv
    newTag: $(IMAGE_VERSION)
  - name: xmlking/greeting-service
    newName: docker.pkg.github.com/xmlking/micro-apps/greeting-service
    newTag: 1.6.5-SNAPSHOT
